<ng-container
  *ngIf="inputCity === null; then inputComponent; else weatherComponent">
</ng-container>

<ng-template #inputComponent>
  <app-input></app-input>
</ng-template>
<ng-template #weatherComponent>
  <app-weather></app-weather>
</ng-template>